Gets starting line number

- « ReflectionClass::getShortName

- ReflectionClass::getStaticProperties »

- PHP Manual
- ReflectionClass
- Gets starting line number

# ReflectionClass::getStartLine

(PHP 5, PHP 7, PHP 8)

ReflectionClass::getStartLine — Gets starting line number

### Description

public ReflectionClass::getStartLine(): int|false

Get the starting line number.

### Parameters

This function has no parameters.

### Return Values

The starting line number, as an int, or `false` if unknown.

### See Also

- ReflectionClass::getEndLine() - Gets end line